<?php

namespace App\Entities\Customer\Wallet;

use App\Models\Customer\Wallet\CouponModel;

class CouponEntity extends WalletEntity
{
    const PK    = CouponModel::PK;
    const TITLE = CouponModel::TITLE;
    final public function getUserUID(): int|null
    {
        return $this->attributes['user_uid'] ?? null;
    }
    final public function  getClientInfoUID(): int|null
    {
        return $this->attributes['clientinfo_uid'] ?? null;
    }
    //기본기능
    public function getContent(): string|null
    {
        return $this->attributes['content'] ?? null;
    }
    public function getCnt(): int
    {
        return $this->attributes['cnt'] ?? 0;
    }
}
